# Uses of Class
com.ocient.transport.SimplexTransport.StreamCtx

Packages that use SimplexTransport.StreamCtx
Package
Description
com.ocient.jdbc
com.ocient.transport

## Uses of SimplexTransport.StreamCtx in com.ocient.jdbc

Methods in com.ocient.jdbc that return types with arguments of type SimplexTransport.StreamCtx
Modifier and Type
Method
Description
`protected com.ibm.asyncutil.iteration.AsyncIterator<SimplexTransport.StreamCtx<TransportResult<io.netty.buffer.ByteBuf>>>`
XGConnection.`stream(com.ibm.asyncutil.iteration.AsyncIterator<SimplexTransport.StreamCtx<ClientWireProtocol.Request>> requests, int queueDepth)`
Exposes a streaming interface that allows the consumer to apply backpressure.
Method parameters in com.ocient.jdbc with type arguments of type SimplexTransport.StreamCtx
Modifier and Type
Method
Description
`protected com.ibm.asyncutil.iteration.AsyncIterator<SimplexTransport.StreamCtx<TransportResult<io.netty.buffer.ByteBuf>>>`
XGConnection.`stream(com.ibm.asyncutil.iteration.AsyncIterator<SimplexTransport.StreamCtx<ClientWireProtocol.Request>> requests, int queueDepth)`
Exposes a streaming interface that allows the consumer to apply backpressure.

## Uses of SimplexTransport.StreamCtx in com.ocient.transport

Methods in com.ocient.transport that return SimplexTransport.StreamCtx
Modifier and Type
Method
Description
`<U> SimplexTransport.StreamCtx<U>`
SimplexTransport.StreamCtx.`map(Function<T,U> f)`
Methods in com.ocient.transport that return types with arguments of type SimplexTransport.StreamCtx
Modifier and Type
Method
Description
`com.ibm.asyncutil.iteration.AsyncIterator<SimplexTransport.StreamCtx<TransportResult<io.netty.buffer.ByteBuf>>>`
NettyOcientWireV1Transport.`stream(com.ibm.asyncutil.iteration.AsyncIterator<SimplexTransport.StreamCtx<TransportResult<io.netty.buffer.ByteBuf>>> requests, int queueDepth)`
`default com.ibm.asyncutil.iteration.AsyncIterator<SimplexTransport.StreamCtx<TransportResult<TRESPONSE>>>`
SimplexTransport.`stream(com.ibm.asyncutil.iteration.AsyncIterator<SimplexTransport.StreamCtx<TransportResult<TREQUEST>>> requests, int maxQueueDepth)`
Accepts a stream of requests and returns the result response stream.
Method parameters in com.ocient.transport with type arguments of type SimplexTransport.StreamCtx
Modifier and Type
Method
Description
`com.ibm.asyncutil.iteration.AsyncIterator<SimplexTransport.StreamCtx<TransportResult<io.netty.buffer.ByteBuf>>>`
NettyOcientWireV1Transport.`stream(com.ibm.asyncutil.iteration.AsyncIterator<SimplexTransport.StreamCtx<TransportResult<io.netty.buffer.ByteBuf>>> requests, int queueDepth)`
`default com.ibm.asyncutil.iteration.AsyncIterator<SimplexTransport.StreamCtx<TransportResult<TRESPONSE>>>`
SimplexTransport.`stream(com.ibm.asyncutil.iteration.AsyncIterator<SimplexTransport.StreamCtx<TransportResult<TREQUEST>>> requests, int maxQueueDepth)`
Accepts a stream of requests and returns the result response stream.